> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weborion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List activity logs

> Lists activity logs for the user's account. Only logs from the last 3 months are available. The response is paginated.



## OpenAPI

````yaml /openapi.json get /api/v1/user/activity_log
openapi: 3.0.3
info:
  title: WebOrion Monitor API
  description: >-
    REST API for managing webpages, alerts, batch jobs, and activity logs in
    WebOrion Defacement Monitor.
  version: '2021-07-26'
servers:
  - url: https://api.monitor.weborion.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Operations related to user accounts
  - name: Webpages
    description: Operations related to webpages and URLs
  - name: Batch Jobs
    description: Operations related to batch baseline and rebaseline jobs
  - name: Alerts
    description: Operations related to alerts
  - name: Domains
    description: Operations related to domains
  - name: Tags
    description: Operations related to tags for organising webpages
paths:
  /api/v1/user/activity_log:
    get:
      tags:
        - User
      summary: List activity logs
      description: >-
        Lists activity logs for the user's account. Only logs from the last 3
        months are available. The response is paginated.
      operationId: listActivityLogs
      parameters:
        - in: query
          name: page
          schema:
            type: integer
          required: false
        - in: query
          name: items_per_page
          schema:
            type: integer
          required: false
        - in: query
          name: q
          schema:
            type: string
          required: false
        - in: query
          name: start_date
          schema:
            type: string
          required: false
        - in: query
          name: end_date
          schema:
            type: string
          required: false
        - in: query
          name: start_id
          schema:
            type: integer
          required: false
        - in: query
          name: end_id
          schema:
            type: integer
          required: false
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Generate an API token from the WebOrion Defacement Monitor portal. Pass
        it as `Authorization: Bearer <token>`.

````